<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pygce.analysis.models.TimelineDataAnalysis</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a href="https://github.com/sirfoga/pygce">PyGCE</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pygce-module.html">Package&nbsp;pygce</a> ::
        <a href="pygce.analysis-module.html">Package&nbsp;analysis</a> ::
        <a href="pygce.analysis.models-module.html">Module&nbsp;models</a> ::
        Class&nbsp;TimelineDataAnalysis
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="pygce.analysis.models.TimelineDataAnalysis-class.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class TimelineDataAnalysis</h1><p class="nomargin-top"><span class="codelink"><a href="pygce.analysis.models-pysrc.html#TimelineDataAnalysis">source&nbsp;code</a></span></p>
<center>

</center>
<hr />
<pre class="literalblock">
Analyzes and provides insights into Garmin timeline data 

</pre>

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pygce.analysis.models.TimelineDataAnalysis-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">dataset_file</span>)</span><br />
      :param dataset_file: str...</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pygce.analysis.models-pysrc.html#TimelineDataAnalysis.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pygce.analysis.models.TimelineDataAnalysis-class.html#parse_csv" class="summary-sig-name">parse_csv</a>(<span class="summary-sig-arg">self</span>)</span><br />
      :return: tuple [], [] of []...</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pygce.analysis.models-pysrc.html#TimelineDataAnalysis.parse_csv">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pygce.analysis.models.TimelineDataAnalysis-class.html#show_correlation_matrix_of_data" class="summary-sig-name">show_correlation_matrix_of_data</a>(<span class="summary-sig-arg">self</span>)</span><br />
      :return: void...</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pygce.analysis.models-pysrc.html#TimelineDataAnalysis.show_correlation_matrix_of_data">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pygce.analysis.models.TimelineDataAnalysis-class.html#predict_feature" class="summary-sig-name">predict_feature</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">feature</span>)</span><br />
      :param feature: str...</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pygce.analysis.models-pysrc.html#TimelineDataAnalysis.predict_feature">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pygce.analysis.models.TimelineDataAnalysis-class.html#cluster_analyze" class="summary-sig-name">cluster_analyze</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">n_clusters</span>=<span class="summary-sig-default">6</span>)</span><br />
      :param n_clusters: int
    Number of clusters
:return: void
    Computes cluster analysis: see days based on differences.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pygce.analysis.models-pysrc.html#TimelineDataAnalysis.cluster_analyze">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pygce.analysis.models.TimelineDataAnalysis-class.html#cluster_3d_plot" class="summary-sig-name">cluster_3d_plot</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">labels</span>,
        <span class="summary-sig-arg">n_clusters</span>=<span class="summary-sig-default">6</span>)</span><br />
      :param labels: [] of str (len = 3)
    Features to cluster data.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pygce.analysis.models-pysrc.html#TimelineDataAnalysis.cluster_3d_plot">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pygce.analysis.models.TimelineDataAnalysis-class.html#select_k_best" class="summary-sig-name">select_k_best</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">feature</span>,
        <span class="summary-sig-arg">k</span>=<span class="summary-sig-default">5</span>)</span><br />
      :param feature: str...</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pygce.analysis.models-pysrc.html#TimelineDataAnalysis.select_k_best">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pygce.analysis.models.StatsAnalysis-class.html">StatsAnalysis</a></code></b>:
      <code><a href="pygce.analysis.models.StatsAnalysis-class.html#show_correlation_matrix">show_correlation_matrix</a></code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__delattr__</code>,
      <code>__format__</code>,
      <code>__getattribute__</code>,
      <code>__hash__</code>,
      <code>__new__</code>,
      <code>__reduce__</code>,
      <code>__reduce_ex__</code>,
      <code>__repr__</code>,
      <code>__setattr__</code>,
      <code>__sizeof__</code>,
      <code>__str__</code>,
      <code>__subclasshook__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== STATIC METHODS ==================== -->
<a name="section-StaticMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Static Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-StaticMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pygce.analysis.models.GarminDataFilter-class.html">GarminDataFilter</a></code></b>:
      <code><a href="pygce.analysis.models.GarminDataFilter-class.html#convert_time_columns">convert_time_columns</a></code>,
      <code><a href="pygce.analysis.models.GarminDataFilter-class.html#fix_floats">fix_floats</a></code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== CLASS VARIABLES ==================== -->
<a name="section-ClassVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pygce.analysis.models.TimelineDataAnalysis-class.html#HEADERS_TO_ANALYZE" class="summary-name">HEADERS_TO_ANALYZE</a> = <code title="[&quot;SUMMARY:kcal_count&quot;, &quot;STEPS:distance&quot;, &quot;SLEEP:light_sleep_time&quot;, &quot;BR\
EAKDOWN:sleeping&quot;, &quot;BREAKDOWN:highly_active&quot;, &quot;ACTIVITIES:kcal&quot;, &quot;BREA\
KDOWN:active&quot;, &quot;STEPS:total&quot;, &quot;STEPS:avg&quot;, &quot;BREAKDOWN:sedentary&quot;, &quot;SLE\
EP:awake_sleep_time&quot;, &quot;SLEEP:total_sleep_time&quot;, &quot;SLEEP:deep_sleep_time\
&quot;, &quot;ACTIVITIES:duration&quot;, &quot;ACTIVITIES:distance&quot;, &quot;STEPS:goal&quot;]">[&quot;SUMMARY:kcal_count&quot;, &quot;STEPS:distance&quot;, <code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pygce.analysis.models.TimelineDataAnalysis-class.html#TIME_HEADERS_TO_CONVERT" class="summary-name">TIME_HEADERS_TO_CONVERT</a> = <code title="[&quot;SLEEP:nap_time&quot;, &quot;SLEEP:light_sleep_time&quot;, &quot;SLEEP:awake_sleep_time&quot;,\
 &quot;SLEEP:total_sleep_time&quot;, &quot;SLEEP:deep_sleep_time&quot;, &quot;SLEEP:night_sleep\
_time&quot;, &quot;ACTIVITIES:duration&quot;]">[&quot;SLEEP:nap_time&quot;, &quot;SLEEP:light_slee<code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
</table>
<!-- ==================== PROPERTIES ==================== -->
<a name="section-Properties"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Properties</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Properties"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__class__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">dataset_file</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pygce.analysis.models-pysrc.html#TimelineDataAnalysis.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:param dataset_file: str
    Path to folder with data to analyse

</pre>
  <dl class="fields">
    <dt>Overrides:
        object.__init__
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="parse_csv"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">parse_csv</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pygce.analysis.models-pysrc.html#TimelineDataAnalysis.parse_csv">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:return: tuple [], [] of []
    Headers of csv file and data

</pre>
  <dl class="fields">
    <dt>Overrides:
        <a href="pygce.analysis.models.GarminDataFilter-class.html#parse_csv">GarminDataFilter.parse_csv</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="show_correlation_matrix_of_data"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">show_correlation_matrix_of_data</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pygce.analysis.models-pysrc.html#TimelineDataAnalysis.show_correlation_matrix_of_data">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:return: void
    Shows correlation matrix of data of files in folder

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="predict_feature"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">predict_feature</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">feature</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pygce.analysis.models-pysrc.html#TimelineDataAnalysis.predict_feature">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:param feature: str
    Name of feature (column name) to predict
:return: void
    Predicts feature with linear regression

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="cluster_analyze"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">cluster_analyze</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">n_clusters</span>=<span class="sig-default">6</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pygce.analysis.models-pysrc.html#TimelineDataAnalysis.cluster_analyze">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:param n_clusters: int
    Number of clusters
:return: void
    Computes cluster analysis: see days based on differences.
    Each day is different from one another, there are days where you trained more, others where you ate more ...
    The goal is to divide your days into categories (e.g highly-active, active ...) based on data logs.
    This way, the input matrix consists of multiple vectors with each one consisting of one day's values.

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="cluster_3d_plot"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">cluster_3d_plot</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">labels</span>,
        <span class="sig-arg">n_clusters</span>=<span class="sig-default">6</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pygce.analysis.models-pysrc.html#TimelineDataAnalysis.cluster_3d_plot">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:param labels: [] of str (len = 3)
    Features to cluster data. Each item must be in the csv data file. Each label is one of x, y, z axis
:param n_clusters: int
    Number of clusters
:return: void
    Plots 3D chart with clusters based on selected features

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="select_k_best"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">select_k_best</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">feature</span>,
        <span class="sig-arg">k</span>=<span class="sig-default">5</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pygce.analysis.models-pysrc.html#TimelineDataAnalysis.select_k_best">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:param feature: str
    Name of feature (column name) to predict
:param k: int
    Number of features to select
:return: void
    Selects the best features to predict feature

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== CLASS VARIABLE DETAILS ==================== -->
<a name="section-ClassVariableDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variable Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariableDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="HEADERS_TO_ANALYZE"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">HEADERS_TO_ANALYZE</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
[&quot;SUMMARY:kcal_count&quot;, &quot;STEPS:distance&quot;, &quot;SLEEP:light_sleep_time&quot;, &quot;BR<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
EAKDOWN:sleeping&quot;, &quot;BREAKDOWN:highly_active&quot;, &quot;ACTIVITIES:kcal&quot;, &quot;BREA<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
KDOWN:active&quot;, &quot;STEPS:total&quot;, &quot;STEPS:avg&quot;, &quot;BREAKDOWN:sedentary&quot;, &quot;SLE<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
EP:awake_sleep_time&quot;, &quot;SLEEP:total_sleep_time&quot;, &quot;SLEEP:deep_sleep_time<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
&quot;, &quot;ACTIVITIES:duration&quot;, &quot;ACTIVITIES:distance&quot;, &quot;STEPS:goal&quot;]
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<a name="TIME_HEADERS_TO_CONVERT"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">TIME_HEADERS_TO_CONVERT</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
[&quot;SLEEP:nap_time&quot;, &quot;SLEEP:light_sleep_time&quot;, &quot;SLEEP:awake_sleep_time&quot;,<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
 &quot;SLEEP:total_sleep_time&quot;, &quot;SLEEP:deep_sleep_time&quot;, &quot;SLEEP:night_sleep<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
_time&quot;, &quot;ACTIVITIES:duration&quot;]
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a href="https://github.com/sirfoga/pygce">PyGCE</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Mon Apr 17 18:39:16 2017
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
